Subject: Re: [trill] Genart last call review of draft-ietf-trill-rbridge-multilevel-06

From: Stewart Bryant <[email-masked]>
Date: Thu, 29 Jun 2017 09:50:34 +0100

>                     Although there is some discussion on it later there is no discussion
> of the number of addresses to be learned in the single and multi-area cases and
> the impact this has on the LSDB. The number of addresses to be learned will
> impact the ingress RBridge FIB and the FIB update time so this is just as
> significant in understanding the benefit of multi-level as understanding the
> link-state convergence time is.

The number of MAC (actually MAC/VLAN or MAC/FGL) addresses to be
learned by an edge TRILL switch is not affected by whether the TRILL
campus uses single or multilevel IS-IS. This number of MAC address
learned is the seventh scaling problem listed in Section 1.1 which
states that multilevel TRILL IS-IS helps only with the other six
problems. This point, that multilevel doesn't help here, could be
emphasized more but I don't think I see much point in this document in
going into details such as the scaling considerations of data plane
MAC address learning (which is the default in TRILL) or control plan
MAC address learning (which does not use the core LSDB but rather Data
Label scoped ESADI link stat databases).

SB> I think the important point is either to demonstrate that the
SB> that the control plane problem you address is the dominant factor in convergence
SB> and that the MAC component (including FIB update) is not significant,
SB> or to point to a solution that makes the data plane element comparable
SB> to the improved control plane. Otherwise there is surely no point in
SB> making these significant changes to the control plane.

- Stewart